#!/usr/bin/perl

# Copyright: MandrakeSoft, licensed under the GPL v2.
# modified by Laurent Montel <lmontel@mandrakesoft.com>
# Modify konsolerc default config

use strict;
use MDK::Common;

foreach my $file (@ARGV) {
    substInFile {
        if (/defaultfont=(.*)$/) {
            my $result = $1;
			s|$result|Monospace,12,-1,2,50,0,0,0,1,0|g if $result !~ m!Monospace!;
        }
		if (/keytab=(.*)$/) {
			my $result = $1;
			s|$result|default|g if $result !~ m!default!;
		}
        if (/history=(.*)$/) {
            my $result = $1;
            s|$result|1000\nhistoryenabled=true|g if $result !~ m!1000!;
		}
		if (/\[options\]/) {
			my $result = $1;
			s|$result|\[Desktop Entry\]|;
		}
        if (/schema=(.*)$/) {
            my $result = $1;
			s|$result|Linux.schema|g if $result =~ m!/usr/share/apps/konsole/Linux.schema!;
        }
    } $file;
}

